# CroppingResult class

Result class that return cropped page from crop rtu-ui component

Inheritance
  - Object
  - Result
  - CroppingResult
Annotations
  - @JsonSerializable(createFactory: true, includeIfNull: false, createToJson: false)

## Constructors

CroppingResult(Page? page)
CroppingResult.canceled()
CroppingResult.error()
CroppingResult.fromJson(Map<String, dynamic> json)
  factory

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
message ↔ String?
  Message with description of returned result, for example, error message
  read / write inherited
operationResult ↔ OperationResult?
  Standart result status
  read / write inherited
page ↔ Page?
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited